////////////////////////////////////
//Header fuer DDE-Advise-Tabelle

#ifndef _INC_I_FIELD
#define _INC_I_FIELD



struct tag_DDEAdviseInfoField
{
    HCONV   hConv;
    HSZ	    hszItem;
    WORD cbFormat;
    char*   szCallback;
    char*   szDestMatrix;
    BOOL isString;
};

typedef struct tag_DDEAdviseInfoField DDEAdviseInfoField;



class InfoField
{
   public:

      void AddEntry( HCONV, HSZ, WORD, char*, char*, BOOL );
      BOOL DelEntry( HCONV, HSZ, WORD );	   //=TRUE, wenn erfolgreich
      char* exGetCallback( HCONV, int* );	   //=NULL, wenn alle hConv's bearbeitet
      char* GetCallback( HCONV, HSZ, WORD );	   //=NULL, wenn erfolglos
      char* GetDestMatrix( HCONV, HSZ, WORD );	   //=NULL, wenn erfolglos
      BOOL IsStringMatrix( HCONV, HSZ, WORD );

      InfoField();
      ~InfoField();

   protected:

      DDEAdviseInfoField** Field;
      int tableSize;			  //enthaelt die aktuelle Anzahl der max. zur Verfuegung
				       //stehenden Tabelleneintraege

   protected:

      int GetNextFreeEntry();
      int SearchEntry( HCONV, HSZ, WORD );
      void ResizeTable();
      void InitTable( DDEAdviseInfoField** );
};


#endif	 //_INC_I_FIELD
